%{!?python_sitelib: %global python_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		gourmet
Version:	0.17.4
Release:	16%{?dist}
Summary:	Recipe Manager for the GNOME desktop environment

License:	GPLv2+
URL:		http://thinkle.github.io/gourmet

# Retrieved and renamed from https://github.com/thinkle/gourmet/archive/%{version}.tar.gz
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-tobytes.diff
Patch1:		%{name}-empty-ingredients.diff

BuildArch:	noarch
BuildRequires:	python2-devel,python2-distutils-extra
BuildRequires:	desktop-file-utils
BuildRequires:	gettext,intltool

Requires: pypoppler
Requires: pygtk2, gnome-python2-gtkspell 
Requires: PyRTF,python2-sqlalchemy
Requires: python2-imaging, python2-reportlab, python2-beautifulsoup
%description
Gourmet Recipe Manager is a recipe-organizer for GNOME that generates shopping
lists and allows rapid searching of recipes. It imports meal-master & mastercook
files and exports web pages & other formats.

%prep
%setup -q
%patch0 -p1 -b .tobytes
%patch1 -p1 -b .empty-ingredients

%build

%py2_build

%install
%{__python2} setup.py install --root %buildroot 
rm -rf %{buildroot}/usr/share/doc/gourmet

desktop-file-install build/share/applications/gourmet.desktop \
  --add-category=X-Fedora \
  --copy-name-to-generic-name \

%find_lang %{name}


%files -f %{name}.lang
%doc CHANGES README.md FAQ LICENSE
# documentation
# sitelib stuff
%{python2_sitelib}/gourmet
# datadir stuff
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/gourmet
%{python2_sitelib}/%{name}*.egg-info
%{_bindir}/%{name}

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.4-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Apr 16 2019 Jeff Raber <jeff.raber@gmail.com> - 0.17.4-15
- Change python macro to specify python2, fixes FTBFS Bug 1675051

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.4-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.17.4-11
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17.4-8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jan 17 2016 Peter Gordon <peter@thecodergeek.com>
- Update Source0 URL (moved from Launchpad to GitHub).

* Sun Jan 17 2016 Peter Gordon <peter@thecodergeek.com> - 0.17.4-6
- Add patch from upstream git, fixes KeyError when attempting to use an empty
  ingredient list:
  + empty-ingredients.diff
- Resolves: #1228806 ([abrt] gourmet: reccard.py:2617:changeUnit:KeyError: 'ingkey')

* Wed Dec 02 2015 Peter Gordon <peter@thecodergeek.com> - 0.17.4-5
- Add patch from upstream git, removes deprecated tostring() usage:
  + tobytes.diff
- Resolves: #1287562 (Unable to edit or add recipes)
- Resolves: #1284894 (Only shows ingredients and picture)

* Tue Jun 30 2015 Yaakov Selkowitz <yselkowi@redhat.com> - 0.17.4-4
- Remove obsolete Requires

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Peter Robinson <pbrobinson@fedoraproject.org> 0.17.4-2
- No longer depends on metakit
- Cleanup spec

* Sun Jun 08 2014 Richard Hughes <richard@hughsie.com> - 0.17.4-1
- New upstream release
- Remove upstreamed patches

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 10 2013 Jeff Raber <jeff.raber@gmail.com> - 0.16.0-1
- New upstream release
 
* Thu Apr 11 2013 Jon Ciesla <limburgher@gmail.com> - 0.15.9-8
- Drop desktop vendor tag.

* Mon Feb  4 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 0.15.9-7
- Add patch to work with python-pillow as well as python-imaging

* Tue Jan 15 2013 Jeff Raber <jeff.raber@gmail.com> - 0.15.9-6
- Removed bundled copies of BeautifulSoup.py

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 20 2012 Jeff Raber <jeff.raber@gmail.com> - 0.15.9-4
- Apply patch from upstream to resolve bug 717042

* Wed Feb  8 2012 Toshio Kuratomi <toshio@fedoraproject.org> - 0.15.9-3
- Remove python-sqlite2 dep as gourmet can use sqlite3 from the stdlib

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun May 08 2011 Jeff Raber <jeff.raber@gmail.com> - 0.15.9-1
- New upstream release

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec 3 2010 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.15.6-4
- Additional database compatibility issue found and fixed as part of updates-testing 

* Wed Nov 24 2010 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.15.6-3
- Apply upstream patch for old db comptability

* Wed Nov 24 2010 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.15.6-2
- Apply upstream patch for old db comptability

* Mon Nov 15 2010 Jeff Raber <jeff.raber@gmail.com> - 0.15.6-1
- New upstream point release, bug fixes

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.15.4-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Jun 8 2010 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.15.4-4
- Brown bag patch fix

* Mon Jun 7 2010 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.15.4-3
- Added patches to fix web page importer bugs 

* Mon Jun 7 2010 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.15.4-2
- Added requires for pypoppler so printing will work

* Mon Dec 14 2009 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.15.4-1
- New upstream point release, minor bug fixes and enhancements

* Mon Dec 14 2009 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.15.1-1
- New upstream release

* Fri Sep 4 2009 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.15.0-4
- add gnome-python2-gtkspell for spellingchecking plugin support

* Tue Aug 25 2009 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.15.0-3
- add python-sqlalchemy runtime dep.

* Sun Aug 23 2009 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.15.0-2
- Small buildrequires fix.

* Sun Aug 23 2009 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.15.0-1
- Latest upstream release, major changes include plugin system for capabilities

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.13.4-4
- Rebuild for Python 2.6

* Fri Jan 04 2008 Jef Spaleta <jspaleta@gmail.com> - 0.13.4-3
- Fix for egg-info file creation

* Fri Aug 03 2007 Jef Spaleta <jspaleta@gmail.com> - 0.13.4-2
- Change license tag to GPLv2+ for new licensing guidelines

* Sat Jul 28 2007 Jef Spaleta <jspaleta@gmail.com> - 0.13.4-1
- Update to new upstream version

* Mon Mar 26 2007 Jef Spaleta <jspaleta@gmail.com> - 0.13.3-1
- Update to new upstream version

* Wed Dec 13 2006 Jef Spaleta <jspaleta@gmail.com> - 0.12.2-2
- Some final specfile cleaning before import into extras cvs

* Tue Dec 12 2006 Jef Spaleta <jspaleta@gmail.com> - 0.12.2-1
- Update to version 0.12.2 and prepare to unorphan the tree

* Tue Apr 25 2006 Michael A. Peters <mpeters@mac.com> - 0.8.5.14-2
- try build again

* Fri Mar 17 2006 Michael A. Peters <mpeters@mac.com> - 0.8.5.14-1
- New upstream version
- rpmlint cleanup

* Fri Nov 11 2005 Michael A. Peters <mpeters@mac.com> - 0.8.5.13-1
- New upstream version

* Thu Sep 22 2005 Michael A. Peters <mpeters@mac.com> - 0.8.5.12-1
- New upstream version

* Mon Jun 13 2005 Michael A. Peters <mpeters@mac.com> - 0.8.5.2-1
- Initial checkin to cvs
